package projektsystemKerne;
import bjbupack.jdb.*;
import java.sql.*;
import java.util.*;
/**  
  * Klassen til hndtering af Projektsystem-Objekter i relationel database  
  * Klassen er ikke public og derfor kun direkte tilgngelig i projektsystemKerne
  * @version  Januar 2002 (1.10) / januar 2004
  * @author   DBObjectAdministratorGenerator, tilrettet  
*/  
class PersistensAdministrator
{
  private static DBAdministrator projektsystemDBAdm = new DBAdministrator("Projektsystem");

 // Metode til klargring
  protected  static  void  open ()
  {
    projektsystemDBAdm.open();
  }

  // metode som sikrer tilbageskrivning
  protected  static  void  commit ()
  {
    projektsystemDBAdm.commit();
  }
  // metode som sikrer endelig tilbageskrivning
  protected  static  void  close ()
  {
    projektsystemDBAdm.close();
  }

  
  // Projekt-collection controler og metode for tilgang
  private static ProjektAdministrator   projektAdministrator = new ProjektAdministrator (projektsystemDBAdm, "QProjekt");
  protected static ProjektAdministrator  getProjektAdministrator()
  {
    if (projektAdministrator==null)
      projektAdministrator = new ProjektAdministrator (projektsystemDBAdm, "QProjekt");
    return (projektAdministrator);
  }

  // Medarbejder-collection controler og metode for tilgang
  private static MedarbejderAdministrator   medarbejderAdministrator = new MedarbejderAdministrator (projektsystemDBAdm, "QMedarbejder");
  protected  static MedarbejderAdministrator  getMedarbejderAdministrator()
  {  
    if (medarbejderAdministrator==null)
      medarbejderAdministrator = new MedarbejderAdministrator (projektsystemDBAdm, "QMedarbejder");
    return (medarbejderAdministrator);
  }

  // Postdistrikt-collection controler og metode for tilgang
  private static PostdistriktAdministrator   postdistriktAdministrator = new PostdistriktAdministrator (projektsystemDBAdm, "QPostdistrikt");
  protected  static  PostdistriktAdministrator  getPostdistriktAdministrator()
  {    
    if (postdistriktAdministrator==null)
      postdistriktAdministrator = new PostdistriktAdministrator (projektsystemDBAdm, "QPostdistrikt");
    return (postdistriktAdministrator);
  }

  // Aktivitet-collection controler og metode for tilgang
  private static AktivitetAdministrator   aktivitetAdministrator = new AktivitetAdministrator (projektsystemDBAdm, "QAktivitet");
  protected  static  AktivitetAdministrator  getAktivitetAdministrator()
  {    
    if (aktivitetAdministrator==null)
      aktivitetAdministrator = new AktivitetAdministrator (projektsystemDBAdm, "QAktivitet");
    return (aktivitetAdministrator);
  }

  // Timeforbrug-collection controler og metode for tilgang
  private static TimeforbrugAdministrator   timeforbrugAdministrator = new TimeforbrugAdministrator (projektsystemDBAdm, "QTimeforbrug");
  protected  static  TimeforbrugAdministrator  getTimeforbrugAdministrator()
  {    
    if (timeforbrugAdministrator==null)
      timeforbrugAdministrator = new TimeforbrugAdministrator (projektsystemDBAdm, "QTimeforbrug");
    return (timeforbrugAdministrator);
  }


}
