package projektsystemKerne;
import java.util.*;  
import java.sql.*;  
/**  
  * Klassen anvendes til at sikre global tilgang til ProjektsystemAdministrator og hermed modelkomponenten  
  * Klassen giver samtidig et singleton-mnster, der sikre at der kun er et objekt.
  * 
  * Klassen fungerer som controler overordnet for modelkomponenten.
  * 
  * @version  Januar 2002 (1.10) / januar 2004
  * @author   DBObjectAdministratorGenerator  og Bjrk Busch
*/  

public class GlobalModel
{
  private  static  Projektsystem  projektsystem; // reference til overordnet model-objekt

  // Metode til klargring af modelkomponenten
  public  static  void  open ()
  {
    PersistensAdministrator.open();
  }

  // metode som sikrer tilbageskrivning af modelkomponenten
  public  static  void  save ()
  {
    PersistensAdministrator.commit();
  }
  // metode som sikrer endelig tilbageskrivning af modelkomponenten
  public  static  void  close ()
  {
    PersistensAdministrator.close();
  }

  public  static  Projektsystem  getProjektsystem()
  {    
    if (projektsystem == null)
      projektsystem  = new Projektsystem(); // indeholder ingen data / ikke persistent
    return (projektsystem);
  }


}
